Bug 711860 - Qgis does not open Mapset
Summary: Qgis does not open Mapset
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grass
Version: 15
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Volker Fröhlich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-08 18:55 UTC by ambrish dhaka
Modified: 2011-12-04 02:22 UTC (History)
6 users (show)

Fixed In Version: grass-6.4.1-5.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-04 02:22:30 UTC
Type: ---


Attachments (Terms of Use)

Description ambrish dhaka 2011-06-08 18:55:22 UTC
I have tried opening the existent mapset after my new install of fedora 15, but this what I get after I try to open the mapset.

Cannot open the mapset. Cannot start /usr/lib64/etc/lock

This is annoying I dont know what to do.

Ambrish Dhaka

Comment 1 Volker Fröhlich 2011-06-08 22:22:12 UTC
Do you refer to a GRASS "mapset"?

Comment 2 ambrish dhaka 2011-06-09 01:53:56 UTC
Yes it is a Grass mapset.
I have been working on Fedora 14 with these mapset and after installing F15 I found this problem while trying to open one.

Comment 3 Volker Fröhlich 2011-06-09 06:05:31 UTC
Ah, that is Grass 6.4 from F15 on. It might be related to that.

That file should be /usr/lib64/grass-6.4.0/etc/lock (which is awful enough). Grass doesn't value the FHS a lot.

Comment 4 Volker Fröhlich 2011-06-09 11:37:53 UTC
Please check, if your ~/.qgis/QGIS.conf has:

...

[GRASS]
gisbase=/usr/lib64/grass-6.4.0

...

Comment 5 ambrish dhaka 2011-06-09 17:21:50 UTC
There is no such file in ~/.qgis/QGIS.conf

In fact, the only file available is qgis.db

and rest folder is empty.

Comment 6 Volker Fröhlich 2011-06-09 17:54:38 UTC
Argh, I mixed it up. The file is ~/.config/QuantumGIS/QGIS.conf

Comment 7 ambrish dhaka 2011-06-10 02:19:27 UTC
Yes! I found the file what next?

This is what it has under head [GRASS] as follows,

[GRASS]
gisbase=
windows\select\geometry=@ByteArray(\x1\xd9\xd0\xcb\0\x1\0\0\0\0\x1\xff\0\0\x1*\0\0\x4\xec\0\0\x1\xdd\0\0\x2\0\0\0\x1\x41\0\0\x4\xeb\0\0\x1\xdb\0\0\0\0\0\0)
lastGisdbase=/media/GIS/grassProject


what to do next?

Comment 8 Volker Fröhlich 2011-06-10 05:44:58 UTC
Change the gisbase line to:

gisbase=/usr/lib64/grass-6.4.0

or

gisbase=/usr/lib/grass-6.4.0

, if you use a 32 bit system. You obviously didn't define this path at all. Did you activate the grass plug-in inside QGIS? Doing so, normally asks you this question.

Comment 9 ambrish dhaka 2011-06-10 17:42:23 UTC
Yes, it has opened the mapset for now.
But, the QGIS.conf file looks a bit unusual, it has other many things which for now seem irrelevant. But, if some data for analysis is needed then I can paste its content.

thanks
Ambrish Dhaka

Comment 10 Volker Fröhlich 2011-06-10 19:00:32 UTC
Well, you can paste the config file somewhere, but I assume it looks as "unusual" as it simply does. It contains some binary data.

If in doubt, rather ask on #qgis (freenode) or file a bug on their bug tracker, as this is not a packaging issue or specific for Fedora.

We'll introduce a version-less symlink into the GRASS package, to keep the configuration from going wrong if the version of Grass changes. I'd like to close this bug, when we ship that.

Comment 11 Fedora Update System 2011-11-24 10:25:37 UTC
grass-6.4.1-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/grass-6.4.1-5.fc15

Comment 12 Fedora Update System 2011-11-24 10:26:11 UTC
grass-6.4.1-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/grass-6.4.1-5.fc16

Comment 13 Fedora Update System 2011-11-25 02:02:20 UTC
Package grass-6.4.1-5.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing grass-6.4.1-5.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16358/grass-6.4.1-5.fc16
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2011-12-04 02:22:30 UTC
grass-6.4.1-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-12-04 02:22:49 UTC
grass-6.4.1-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.